package com.sunjs.base;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableEurekaClient
@EnableTransactionManagement
@MapperScan(value = "com.sunjs.base.dao")
public class ServerBaseApplication {

    public static void main(String[] args) {
        SpringApplication.run(ServerBaseApplication.class, args);
    }
}
