package com.sunjs.common.kit;

import org.apache.commons.lang3.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author sunguoliang
 * @create 2018-09-26 上午11:15
 */
public class DateUtils {

    public static final String DATETIME = "yyyy-MM-dd HH:mm:ss";

    public static Date getDate(){
        return new Date();
    }

    public static String getDateStr(String pattern){
        if(StringUtils.isBlank(pattern)){
            pattern = DATETIME;
        }
        SimpleDateFormat sdf = new SimpleDateFormat(pattern);
        return sdf.format(getDate());
    }

}