package com.sunjs.order.controller;

import com.sunjs.common.kit.DateUtils;
import com.sunjs.model.Users;
import com.sunjs.order.service.UsersService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author sunguoliang
 * @create 2018-09-25 下午2:12
 */
@RestController
@RequestMapping("/users")
public class UsersController {

    @Autowired
    private UsersService usersService;

    @RequestMapping(value = "/findBy", method = RequestMethod.GET)
    public Users findById(Integer id){
        System.out.println("order服务 - 接受请求:"+ DateUtils.getDateStr(null));
        return usersService.findById(id);
    }

}