package com.sunjs.web.service;

import com.sunjs.model.Users;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

/**
* Base服务统一配置地址
* @Author sunguoliang
* @Date 2018/9/26 上午10:12
*/
@FeignClient(name = "base")
public interface FeignBaseServer {

    @RequestMapping("/users/findAll")
    List<Users> findAll();

}
