package com.sunjs.web.service;

import com.sunjs.model.Users;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import feign.Param;

/**
* Order服务统一配置地址
* @Author sunguoliang
* @Date 2018/9/26 上午10:12
*/
@FeignClient(name = "order")
public interface FeignOrderServer {

    @RequestMapping("/users/findBy")
    Users findBy(@RequestParam("id") Integer id);

}
