package com.sunjs.web.service;

import com.sunjs.model.Users;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
* 通过网管请求的地址
* @Author sunguoliang
* @Date 2018/9/26 上午10:12
*/
@FeignClient(name = "zuul")
public interface FeignZuulServer {

    @RequestMapping("/users/findAll")
    List<Users> findAll();

    @RequestMapping("/users/findBy")
    Users findBy(@RequestParam("id") Integer id);

}
